---
search:
  tags:
    - Config
    - GET
seo:
  description: >-
    Get the current event settings. Reference for the GET /api/admin/config
    endpoint in the Athena Attack/Defence Admin API.
sidebar:
  label: Get the current event settings
  badge: GET
title: Get the current event settings
type: openapi-operation
---
`GET /api/admin/config`

**Responses**

- `200` — Success
- `401` — Unauthorized
- `404` — Response for status 404
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "version": 0,
  "activatedAt": "2019-08-24T14:15:22Z",
  "settings": {
    "ctfTheme": "string",
    "ctfName": "string",
    "ctfDescription": "string",
    "startDate": "string",
    "freezeDate": "string",
    "endDate": "string",
    "registrationOpen": true,
    "reportNotificationEmails": [
      "string"
    ],
    "exportIncludeEmails": true,
    "rules": "string",
    "faq": [
      {
        "question": "string",
        "answer": "string"
      }
    ],
    "rosterDeadline": "string",
    "tickSeconds": 0,
    "flagValidityTicks": 0,
    "checkerTimeoutSeconds": 0,
    "scoringWeights": {
      "slaUp": 0,
      "slaRecovering": 0,
      "defenceBase": 0,
      "defenceWeight": 0,
      "attackBase": 0,
      "attackWeight": 0,
      "rankWeight": 0,
      "rankReduction": true,
      "reductionMin": 0,
      "reductionMax": 0
    },
    "heroTitle": "string",
    "ctfLogoUrl": "string",
    "maxTeamSize": 0,
    "marketing": {
      "categories": [
        "string"
      ],
      "hostedBy": "string",
      "prizePool": "string",
      "discordUrl": "string",
      "writeupsUrl": "string",
      "contactUrl": "string"
    }
  }
}
```
